Name: kxdocker
Version: 0.22
Release: alt1

Summary: KXDocker is an innovative docker for KDE
License: GPL
Group: Graphical desktop/KDE
Url: http://www.xiaprojects.com/www/prodotti/kxdocker/main.php
Packager: Dmitriy Porollo <spider@altlinux.ru>

Source0: %name-%version.tar.bz2
Source1: kxdocker_conf.xml
#Requires: kxdocker-resources = 0.6
# Automatically added by buildreq on Mon Apr 12 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ kde-i18n-ru kde-settings kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel qt3-designer xml-utils zlib-devel
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2
BuildRequires: gcc-c++ kdelibs-devel libarts-devel
BuildRequires: libjpeg-devel libpng-devel libqt3-devel libstdc++-devel
BuildRequires: xml-utils zlib-devel menu-devel

%description
KXDocker is an innovative docker for KDE it's like Mac OSX Docker but more powerfull

%prep
%setup -q -n %name-%version
%__subst 's,\.la,\.so,' configure

%build
#%add_optflags -DENABLE_REPAINT
%configure --disable-rpath
%set_verify_elf_method textrel=relaxed
%make_build

%install
make DESTDIR=%buildroot install
#menu
%__mkdir_p %buildroot/%_menudir
freedesktop2menu.pl %name Applications/Accessibility %buildroot/%_datadir/applnk/Utilities/%name.desktop %buildroot/%_menudir/%name kde

%__install %SOURCE1 %buildroot%_datadir/apps/%name/

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS NEWS ChangeLog README TODO
%_bindir/%name
%_datadir/applnk/Utilities/kxdocker.desktop

%_menudir/%name
%_datadir/apps/%name/
%_datadir/apps/%name/kxdocker_conf.xml
%doc %_docdir/HTML/en/%name
%_iconsdir/*/*/apps/%name.png

%changelog
* Mon Jun 21 2004 Dmitriy Porollo <spider@altlinux.ru> 0.22-alt1
-0.22-alt1 Fix: tons of small bugfix-enhancements
-0.22-alt1 Thumbnails: may be done without the icon
-0.22-alt1 Actions: plugins and icons may have own actions
-0.22-alt1 DCOP: more commands
-0.22-alt1 Fix: iconsizes tested: 16,32,48 to 48,64,96,128
-0.22-alt1 AUTO SEND TO BACKGROUND!!!!!!!!!!!

* Tue Jun 15 2004 Dmitriy Porollo <spider@altlinux.ru> 0.21-alt1
-0.21-alt1 Fix: special engine 2 update
-0.21-alt1 Add: Animations!!!!!!!!!!!!!!
-0.21-alt1 Optimizations: code cleanup
-0.21-alt1 Plugins: better support and speedup
-0.21-alt1 Fix: Bug fix
-0.21-alt1 Animations: restore animation update
-0.21-alt1 Pillow: [1/5] now it's external window
-0.21-alt1 Fix: some speedup and code cleanup
-0.21-alt1 New: bar can stay at the TOP of screen
-0.21-alt1 Animations: now they fly !!!
-0.21-alt1 Resources: work without resources
-0.21-alt1 Configurator: some improvements: configuration is auto applied before save
-0.21-alt1 Fix: Icon sizes almost work, please try to disable plugin before report bugs
-0.21-alt1 DCOP: added some commands to support SIM and POP3 email checker
-0.21-alt1 GDate: bug fix, now support auto update, support for themes, see screenshots

* Tue Jun 02 2004 Dmitriy Porollo <spider@altlinux.ru> 0.20-alt2
-0.20-alt2 ADD: CPU monitor.

* Wed Jun 02 2004 Dmitriy Porollo <spider@altlinux.ru> 0.20-alt1
-0.20-alt1 Fix: Important FIX
-0.20-alt1 Task: Auto Add a separator on task icons
-0.20-alt1 Engine: Special Engine 2 now by default! it's now work properly

* Wed May 26 2004 Dmitriy Porollo <spider@altlinux.ru> 0.19-alt1
-0.19-alt1 New docker release build

* Mon May 24 2004 Dmitriy Porollo <spider@altlinux.ru> 0.18-alt2
-0.18-alt2 Add: OpenOffice.org group added

* Wed May 19 2004 Dmitriy Porollo <spider@altlinux.ru> 0.18-alt1
-0.18-alt1 Add: If you change desktop it will not animate with poof (it make it faster and usable)
-0.18-alt1 Add: SEPARATOR!!! you can add icons and use className=GSeparator
-0.18-alt1 Add: New smooth engine!!!!

* Tue May 11 2004 Dmitriy Porollo <spider@altlinux.ru> 0.17-alt1
- 0.17-alt1 Add: pager:show desktop [tanks to Saurabh]
- 0.17-alt1 Cfg: Support for plugin configurations
- 0.17-alt1 Cfg: Plugin configuration (Animations Pager TaskManager)
- 0.17-alt1 Plugin configuration (Animations Pager TaskManager)
- 0.17-alt1 Alias configuration (with disabled window support ex: xmms)
- 0.17-alt1 Icon Plugin configuration (path of clock images)
- 0.17-alt1 Cfg: a tons of bugfix

* Fri Apr 23 2004 Dmitriy Porollo <spider@altlinux.ru> 0.15-alt1
- 0.15-alt1 Fix: pillow flickering
- 0.15-alt1 Plugin: better pager support
- 0.15-alt1 Cfg: "stay in dock"
- 0.15-alt1 fix: external pager bug fix
- 0.15-alt1 Support for icon sizes 16 to 64
- 0.15-alt1 TaskManager: show only current desktop's windows or all Desktop!!!!
- 0.15-alt1 Added some software into the dock (PSI)

* Mon Apr 19 2004 Dmitriy Porollo <spider@altlinux.ru> 0.14-alt2
- 0.14-alt2 Correct config added

* Mon Apr 19 2004 Dmitriy Porollo <spider@altlinux.ru> 0.14-alt1
- 0.14-alt1 release build

* Mon Apr 12 2004 Dmitriy Porollo <spider@altlinux.ru> 0.11-alt1
- 0.11-alt1 release build
